## rna-star 2.4.0i

=== source/Makefile ===
OBJECTS = PackedArray.o SuffixArrayFuns.o STAR.o Parameters.o InOutStreams.o SequenceFuns.o Genome.o Stats.o \
        Transcript.o Transcript_alignScore.o \
        ReadAlign.o ReadAlign_storeAligns.o ReadAlign_stitchPieces.o ReadAlign_multMapSelect.o ReadAlign_mapOneRead.o readLoad.o \
	ReadAlignChunk.o ReadAlignChunk_processChunks.o ReadAlignChunk_mapChunk.o \
	OutSJ.o outputSJ.o blocksOverlap.o ThreadControl.o sysRemoveDir.o \
        ReadAlign_maxMappableLength2strands.o binarySearch2.o\
	ReadAlign_outputAlignments.o  \
	ReadAlign_outputTranscriptSAM.o ReadAlign_outputTranscriptSJ.o ReadAlign_outputTranscriptCIGARp.o \
        ReadAlign_createExtendWindowsWithAlign.o ReadAlign_assignAlignToWindow.o ReadAlign_oneRead.o \
	ReadAlign_stitchWindowSeeds.o ReadAlign_chimericDetection.o \
        stitchWindowAligns.o extendAlign.o stitchAlignToTranscript.o alignSmithWaterman.o genomeGenerate.o \
	TimeFunctions.o ErrorWarning.o loadGTF.o streamFuns.o stringSubstituteAll.o \
        Transcriptome.o Transcriptome_quantAlign.o ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
        sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o mapThreadsSpawn.o \
        Parameters_openReadsFiles.cpp Parameters_closeReadsFiles.cpp \
        BAMoutput.o BAMfunctions.o ReadAlign_alignBAM.o BAMbinSortByCoordinate.o signalFromBAM.o bamRemoveDuplicates.o \
        bam_cat.o
SOURCES := $(wildcard *.cpp) $(wildcard *.c)

LDFLAGS := -pthread -Lhtslib -Bstatic -lhts -Bdynamic -lz
LDFLAGS_static := -static -static-libgcc -pthread -Lhtslib -lhts -lz
LDFLAGS_Mac :=-pthread -lz htslib/libhts.a
LDFLAGS_Mac_static :=-pthread -lz -static-libgcc htslib/libhts.a

LDFLAGS_gdb := $(LDFLAGS)

COMPTIMEPLACE := -D'COMPILATION_TIME_PLACE="$(shell echo `date` $(HOSTNAME):`pwd`)"'
EXTRAFLAGS := 

CCFLAGS_common := -pipe -std=c++0x -Wall -Wextra -fopenmp $(COMPTIMEPLACE) $(OPTIMFLAGS) $(OPTIMFLAGS1) $(EXTRAFLAGS)
CCFLAGS_main := -O3 $(CCFLAGS_common)
CCFLAGS_gdb :=  -O0 -g $(CCFLAGS_common)

CXX :=g++


%.o : %.cpp
	$(CXX) -c $(CCFLAGS) $<

%.o : %.c
	$(CXX) -c $(CCFLAGS) $<

all: STAR

.PHONY: clean
clean:
	rm -f *.o STAR STARstatic Depend.list

.PHONY: CLEAN
CLEAN:
	rm -f *.o STAR Depend.list
	$(MAKE) -C htslib clean

.PHONY: cleanRelease
cleanRelease:
	rm -f *.o Depend.list
	$(MAKE) -C htslib clean


ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),cleanRelease)
ifneq ($(MAKECMDGOALS),CLEAN)
ifneq ($(MAKECMDGOALS),STARforMac)
ifneq ($(MAKECMDGOALS),STARforMacGDB)
Depend.list: $(SOURCES) parametersDefault.xxd htslib
	echo $(SOURCES)
	/bin/rm -f ./Depend.list
	$(CXX) $(CCFLAGS_common) -MM $^ >> Depend.list
include Depend.list
endif
endif
endif
endif
endif

htslib : htslib/libhts.a

htslib/libhts.a :
	$(MAKE) -C htslib lib-static

parametersDefault.xxd: parametersDefault
	xxd -i parametersDefault > parametersDefault.xxd

STAR : CCFLAGS=$(CCFLAGS_main)
STAR : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CCFLAGS) $(OBJECTS) $(LDFLAGS)

STARstatic : CCFLAGS=$(CCFLAGS_main)
STARstatic : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STARstatic $(OBJECTS) $(CCFLAGS) $(LDFLAGS_static)

STARlong : CCFLAGS=-D'COMPILE_FOR_LONG_READS' $(CCFLAGS_main)
STARlong : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CCFLAGS) $(OBJECTS) $(LDFLAGS)

STARlongStatic : CCFLAGS=-D'COMPILE_FOR_LONG_READS' $(CCFLAGS_main)
STARlongStatic : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STARstatic $(CCFLAGS) $(LDFLAGS_static) $(OBJECTS)


STARforMac : CCFLAGS=-D'COMPILE_FOR_MAC' -I ./Mac_Include/ $(CCFLAGS_main)
STARforMac : parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CCFLAGS) $(LDFLAGS_Mac) $(OBJECTS)

STARforMacStatic : CCFLAGS=-D'COMPILE_FOR_MAC' -I ./Mac_Include/ $(CCFLAGS_main)
STARforMacStatic : parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CCFLAGS) $(LDFLAGS_Mac_static) $(OBJECTS)


STARforMacGDB : CCFLAGS=-D'COMPILE_FOR_MAC' -I ./Mac_Include/ $(CCFLAGS_gdb)
STARforMacGDB : parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CCFLAGS_gdb) $(OBJECTS) $(LDFLAGS_gdb)

gdb : CCFLAGS= $(CCFLAGS_gdb)
gdb : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CCFLAGS_gdb) $(OBJECTS) $(LDFLAGS_gdb) 

gdb-long : CCFLAGS= -D'COMPILE_FOR_LONG_READS' $(CCFLAGS_gdb)
gdb-long : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CCFLAGS) $(LDFLAGS_gdb) $(OBJECTS)

localChains : CCFLAGS=-D'OUTPUT_localChains' $(CCFLAGS_main)
localChains : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CCFLAGS) $(LDFLAGS) $(OBJECTS)

=== debian/changelog ===
rna-star (2.4.0i-1) unstable; urgency=low

  * Initial release (Closes: #776655)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jan 2015 14:18:44 +0100

## rna-star 2.4.0k

=== source/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
         Transcriptome.o Transcriptome_quantAlign.o ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
         sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o mapThreadsSpawn.o \
         Parameters_openReadsFiles.cpp Parameters_closeReadsFiles.cpp \
-        BAMoutput.o BAMfunctions.o ReadAlign_alignBAM.o BAMbinSortByCoordinate.o signalFromBAM.o bamRemoveDuplicates.o \
+        BAMoutput.o BAMfunctions.o ReadAlign_alignBAM.o BAMbinSortByCoordinate.o signalFromBAM.o bamRemoveDuplicates.o BAMbinSortUnmapped.o \
         bam_cat.o
 SOURCES := $(wildcard *.cpp) $(wildcard *.c)
 
@@ -117,7 +117,7 @@
 
 gdb-long : CCFLAGS= -D'COMPILE_FOR_LONG_READS' $(CCFLAGS_gdb)
 gdb-long : Depend.list parametersDefault.xxd $(OBJECTS)
-	$(CXX) -o STAR $(CCFLAGS) $(LDFLAGS_gdb) $(OBJECTS)
+	$(CXX) -o STAR $(CCFLAGS_gdb) $(OBJECTS) $(LDFLAGS_gdb) 
 
 localChains : CCFLAGS=-D'OUTPUT_localChains' $(CCFLAGS_main)
 localChains : Depend.list parametersDefault.xxd $(OBJECTS)

=== debian/changelog ===
rna-star (2.4.0k-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * Solve build issue on mipsel (thanks to Jurica Stanojkovic
    <Jurica.Stanojkovic@imgtec.com> for the patch)
    Closes: #781828

 -- Andreas Tille <tille@debian.org>  Sat, 04 Apr 2015 10:35:14 +0200

=== debian/control ===
Source: rna-star
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9),
               libhts-dev,
               vim-common,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://code.google.com/p/rna-star/
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/rna-star/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/rna-star/trunk/

Package: rna-star
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ultrafast universal RNA-seq aligner
 Spliced Transcripts Alignment to a Reference (STAR) software based on a
 previously undescribed RNA-seq alignment algorithm that uses sequential
 maximum mappable seed search in uncompressed suffix arrays followed by
 seed clustering and stitching procedure. STAR outperforms other aligners
 by a factor of >50 in mapping speed, aligning to the human genome 550
 million 2 × 76 bp paired-end reads per hour on a modest 12-core server,
 while at the same time improving alignment sensitivity and precision. In
 addition to unbiased de novo detection of canonical junctions, STAR can
 discover non-canonical splices and chimeric (fusion) transcripts, and is
 also capable of mapping full-length RNA sequences. Using Roche 454
 sequencing of reverse transcription polymerase chain reaction amplicons,
 the authors experimentally validated 1960 novel intergenic splice
 junctions with an 80-90% success rate, corroborating the high precision
 of the STAR mapping strategy.

=== debian/watch ===
version=3

https://github.com/alexdobin/STAR/releases .*/archive/STAR_(\d[\d.a-z]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## rna-star 2.4.2a+dfsg

=== source/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJECTS = PackedArray.o SuffixArrayFuns.o STAR.o Parameters.o InOutStreams.o SequenceFuns.o Genome.o Stats.o \
+OBJECTS = SharedMemory.o PackedArray.o SuffixArrayFuns.o STAR.o Parameters.o InOutStreams.o SequenceFuns.o Genome.o Stats.o \
         Transcript.o Transcript_alignScore.o \
         ReadAlign.o ReadAlign_storeAligns.o ReadAlign_stitchPieces.o ReadAlign_multMapSelect.o ReadAlign_mapOneRead.o readLoad.o \
 	ReadAlignChunk.o ReadAlignChunk_processChunks.o ReadAlignChunk_mapChunk.o \
@@ -8,20 +8,22 @@
 	ReadAlign_outputTranscriptSAM.o ReadAlign_outputTranscriptSJ.o ReadAlign_outputTranscriptCIGARp.o \
         ReadAlign_createExtendWindowsWithAlign.o ReadAlign_assignAlignToWindow.o ReadAlign_oneRead.o \
 	ReadAlign_stitchWindowSeeds.o ReadAlign_chimericDetection.o \
-        stitchWindowAligns.o extendAlign.o stitchAlignToTranscript.o alignSmithWaterman.o genomeGenerate.o \
+        stitchWindowAligns.o extendAlign.o stitchAlignToTranscript.o alignSmithWaterman.o \
+        genomeGenerate.o genomeParametersWrite.o \
 	TimeFunctions.o ErrorWarning.o loadGTF.o streamFuns.o stringSubstituteAll.o \
         Transcriptome.o Transcriptome_quantAlign.o ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
-        sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o mapThreadsSpawn.o \
+        sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o sjdbInsertJunctions.o mapThreadsSpawn.o \
         Parameters_openReadsFiles.cpp Parameters_closeReadsFiles.cpp \
         BAMoutput.o BAMfunctions.o ReadAlign_alignBAM.o BAMbinSortByCoordinate.o signalFromBAM.o bamRemoveDuplicates.o BAMbinSortUnmapped.o \
         bam_cat.o
 SOURCES := $(wildcard *.cpp) $(wildcard *.c)
 
-LDFLAGS := -pthread -Lhtslib -Bstatic -lhts -Bdynamic -lz
+LDFLAGS := -pthread -Lhtslib -Bstatic -lhts -Bdynamic -lz -lrt
 LDFLAGS_static := -static -static-libgcc -pthread -Lhtslib -lhts -lz
 LDFLAGS_Mac :=-pthread -lz htslib/libhts.a
 LDFLAGS_Mac_static :=-pthread -lz -static-libgcc htslib/libhts.a
 
+LDFLAGS_gdb := $(LDFLAGS_static)
 LDFLAGS_gdb := $(LDFLAGS)
 
 COMPTIMEPLACE := -D'COMPILATION_TIME_PLACE="$(shell echo `date` $(HOSTNAME):`pwd`)"'
@@ -31,7 +33,7 @@
 CCFLAGS_main := -O3 $(CCFLAGS_common)
 CCFLAGS_gdb :=  -O0 -g $(CCFLAGS_common)
 
-CXX :=g++
+CXX ?=g++
 
 
 %.o : %.cpp
@@ -44,7 +46,7 @@
 
 .PHONY: clean
 clean:
-	rm -f *.o STAR STARstatic Depend.list
+	rm -f *.o STAR STARstatic STARlong Depend.list
 
 .PHONY: CLEAN
 CLEAN:
@@ -85,19 +87,23 @@
 STAR : Depend.list parametersDefault.xxd $(OBJECTS)
 	$(CXX) -o STAR $(CCFLAGS) $(OBJECTS) $(LDFLAGS)
 
+POSIXSHARED : CCFLAGS=$(CCFLAGS_main) -DPOSIX_SHARED_MEM
+POSIXSHARED : Depend.list parametersDefault.xxd $(OBJECTS)
+	$(CXX) -o STAR $(CCFLAGS) $(OBJECTS) $(LDFLAGS)
+
 STARstatic : CCFLAGS=$(CCFLAGS_main)
 STARstatic : Depend.list parametersDefault.xxd $(OBJECTS)
-	$(CXX) -o STARstatic $(OBJECTS) $(CCFLAGS) $(LDFLAGS_static)
+	$(CXX) -o STAR $(OBJECTS) $(CCFLAGS) $(LDFLAGS_static)
 
 STARlong : CCFLAGS=-D'COMPILE_FOR_LONG_READS' $(CCFLAGS_main)
 STARlong : Depend.list parametersDefault.xxd $(OBJECTS)
-	$(CXX) -o STAR $(CCFLAGS) $(OBJECTS) $(LDFLAGS)
+	$(CXX) -o STARlong $(CCFLAGS) $(OBJECTS) $(LDFLAGS)
 
 STARlongStatic : CCFLAGS=-D'COMPILE_FOR_LONG_READS' $(CCFLAGS_main)
 STARlongStatic : Depend.list parametersDefault.xxd $(OBJECTS)
-	$(CXX) -o STARstatic $(CCFLAGS) $(LDFLAGS_static) $(OBJECTS)
+	$(CXX) -o STARlong $(OBJECTS) $(CCFLAGS) $(LDFLAGS_static)
 
-
+#not recommended!
 STARforMac : CCFLAGS=-D'COMPILE_FOR_MAC' -I ./Mac_Include/ $(CCFLAGS_main)
 STARforMac : parametersDefault.xxd $(OBJECTS)
 	$(CXX) -o STAR $(CCFLAGS) $(LDFLAGS_Mac) $(OBJECTS)
@@ -106,7 +112,11 @@
 STARforMacStatic : parametersDefault.xxd $(OBJECTS)
 	$(CXX) -o STAR $(CCFLAGS) $(LDFLAGS_Mac_static) $(OBJECTS)
 
+STARlongForMacStatic : CCFLAGS=-D'COMPILE_FOR_LONG_READS' -D'COMPILE_FOR_MAC' -I ./Mac_Include/ $(CCFLAGS_main)
+STARlongForMacStatic : parametersDefault.xxd $(OBJECTS)
+	$(CXX) -o STARlong $(CCFLAGS) $(LDFLAGS_Mac_static) $(OBJECTS)
 
+#
 STARforMacGDB : CCFLAGS=-D'COMPILE_FOR_MAC' -I ./Mac_Include/ $(CCFLAGS_gdb)
 STARforMacGDB : parametersDefault.xxd $(OBJECTS)
 	$(CXX) -o STAR $(CCFLAGS_gdb) $(OBJECTS) $(LDFLAGS_gdb)
@@ -117,7 +127,7 @@
 
 gdb-long : CCFLAGS= -D'COMPILE_FOR_LONG_READS' $(CCFLAGS_gdb)
 gdb-long : Depend.list parametersDefault.xxd $(OBJECTS)
-	$(CXX) -o STAR $(CCFLAGS_gdb) $(OBJECTS) $(LDFLAGS_gdb) 
+	$(CXX) -o STARlong $(CCFLAGS_gdb) $(OBJECTS) $(LDFLAGS_gdb) 
 
 localChains : CCFLAGS=-D'OUTPUT_localChains' $(CCFLAGS_main)
 localChains : Depend.list parametersDefault.xxd $(OBJECTS)

=== debian/changelog ===
rna-star (2.4.2a+dfsg-1) unstable; urgency=medium

  [ Charles Plessy ]
  * Remove large GENCODE file, found in later upstream versions.

  [ Andreas Tille ]
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jul 2015 19:28:49 +0200

## rna-star 2.5.0a%2Bdfsg

=== source/Makefile ===
# user may define these whole flags
# LDFLAGS
# CPPFLAGS
# CXXFLAGS
# CFLAGS

# or these user-set flags that will be added to standard flags
LDFLAGSextra ?=
CXXFLAGSextra ?=

# user may define the compiler
CXX ?= g++

# pre-defined flags
LDFLAGS_shared := -pthread -Lhtslib -Bstatic -lhts -Bdynamic -lz -lrt
LDFLAGS_static := -static -static-libgcc -pthread -Lhtslib -lhts -lz
LDFLAGS_Mac :=-pthread -lz htslib/libhts.a
LDFLAGS_Mac_static :=-pthread -lz -static-libgcc htslib/libhts.a
LDFLAGS_gdb := $(LDFLAGS_shared)

COMPTIMEPLACE := -D'COMPILATION_TIME_PLACE="$(shell echo `date` $(HOSTNAME):`pwd`)"'

CXXFLAGS_common := -pipe -std=c++11 -Wall -Wextra -fopenmp $(COMPTIMEPLACE)
CXXFLAGS_main := -O3 $(CXXFLAGS_common)
CXXFLAGS_gdb :=  -O0 -g $(CXXFLAGS_common)

CFLAGS := -O3 -pipe -Wall -Wextra $(CFLAGS)


##########################################################################################################

OBJECTS = SharedMemory.o PackedArray.o SuffixArrayFuns.o STAR.o Parameters.o InOutStreams.o SequenceFuns.o Genome.o Stats.o \
        Transcript.o Transcript_alignScore.o \
        ReadAlign.o ReadAlign_storeAligns.o ReadAlign_stitchPieces.o ReadAlign_multMapSelect.o ReadAlign_mapOneRead.o readLoad.o \
	ReadAlignChunk.o ReadAlignChunk_processChunks.o ReadAlignChunk_mapChunk.o \
	OutSJ.o outputSJ.o blocksOverlap.o ThreadControl.o sysRemoveDir.o \
        ReadAlign_maxMappableLength2strands.o binarySearch2.o\
	ReadAlign_outputAlignments.o  \
	ReadAlign_outputTranscriptSAM.o ReadAlign_outputTranscriptSJ.o ReadAlign_outputTranscriptCIGARp.o \
        ReadAlign_createExtendWindowsWithAlign.o ReadAlign_assignAlignToWindow.o ReadAlign_oneRead.o \
	ReadAlign_stitchWindowSeeds.o ReadAlign_chimericDetection.o \
        stitchWindowAligns.o extendAlign.o stitchAlignToTranscript.o alignSmithWaterman.o \
        genomeGenerate.o genomeParametersWrite.o genomeScanFastaFiles.o genomeSAindex.o \
        Genome_insertSequences.o insertSeqSA.o funCompareUintAndSuffixes.o \
	TimeFunctions.o ErrorWarning.o loadGTF.o streamFuns.o stringSubstituteAll.o \
        Transcriptome.o Transcriptome_quantAlign.o ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
        sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o sjdbInsertJunctions.o mapThreadsSpawn.o \
        Parameters_openReadsFiles.cpp Parameters_closeReadsFiles.cpp \
        BAMoutput.o BAMfunctions.o ReadAlign_alignBAM.o BAMbinSortByCoordinate.o signalFromBAM.o bamRemoveDuplicates.o BAMbinSortUnmapped.o \
        bam_cat.o \
        GlobalVariables.cpp

SOURCES := $(wildcard *.cpp) $(wildcard *.c)


%.o : %.cpp
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $<

%.o : %.c
	$(CXX) -c $(CPPFLAGS) $(CFLAGS) $<

all: STAR

.PHONY: clean
clean:
	rm -f *.o STAR STARstatic STARlong Depend.list

.PHONY: CLEAN
CLEAN:
	rm -f *.o STAR Depend.list
	$(MAKE) -C htslib clean

.PHONY: cleanRelease
cleanRelease:
	rm -f *.o Depend.list
	$(MAKE) -C htslib clean


ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),cleanRelease)
ifneq ($(MAKECMDGOALS),CLEAN)
ifneq ($(MAKECMDGOALS),STARforMac)
ifneq ($(MAKECMDGOALS),STARforMacGDB)
Depend.list: $(SOURCES) parametersDefault.xxd htslib
	echo $(SOURCES)
	/bin/rm -f ./Depend.list
	$(CXX) $(CXXFLAGS_common) -MM $^ >> Depend.list
include Depend.list
endif
endif
endif
endif
endif

htslib : htslib/libhts.a

htslib/libhts.a :
	$(MAKE) -C htslib lib-static

parametersDefault.xxd: parametersDefault
	xxd -i parametersDefault > parametersDefault.xxd

STAR : CXXFLAGS := $(CXXFLAGSextra) $(CXXFLAGS_main) $(CXXFLAGS)
STAR : LDFLAGS := $(LDFLAGSextra) $(LDFLAGS_shared) $(LDFLAGS)
STAR : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CXXFLAGS) $(OBJECTS) $(LDFLAGS)

POSIXSHARED : CXXFLAGS := $(CXXFLAGSextra) $(CXXFLAGS_main) -DPOSIX_SHARED_MEM $(CXXFLAGS)
POSIXSHARED : LDFLAGS := $(LDFLAGSextra) $(LDFLAGS_shared) $(LDFLAGS)
POSIXSHARED : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CXXFLAGS) $(OBJECTS) $(LDFLAGS)

STARstatic : CXXFLAGS := $(CXXFLAGSextra) $(CXXFLAGS_main) $(CXXFLAGS)
STARstatic : LDFLAGS := $(LDFLAGSextra) $(LDFLAGS_static) $(LDFLAGS)
STARstatic : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CXXFLAGS) $(OBJECTS) $(LDFLAGS)

STARlong : CXXFLAGS := $(CXXFLAGSextra) $(CXXFLAGS_main) -D'COMPILE_FOR_LONG_READS' $(CXXFLAGS)
STARlong : LDFLAGS := $(LDFLAGSextra) $(LDFLAGS_shared) $(LDFLAGS)
STARlong : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STARlong $(CXXFLAGS) $(OBJECTS) $(LDFLAGS)

STARlongStatic : CXXFLAGS := $(CXXFLAGSextra) $(CXXFLAGS_main) -D'COMPILE_FOR_LONG_READS' $(CXXFLAGS)
STARlongStatic : LDFLAGS := $(LDFLAGSextra) $(LDFLAGS_static) $(LDFLAGS)
STARlongStatic : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STARlong $(CXXFLAGS) $(OBJECTS) $(LDFLAGS)

gdb : CXXFLAGS := $(CXXFLAGSextra) $(CXXFLAGS_gdb) $(CXXFLAGS)
gdb : LDFLAGS := $(LDFLAGSextra) $(LDFLAGS_gdb) $(LDFLAGS)
gdb : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CXXFLAGS) $(OBJECTS) $(LDFLAGS)

gdb-long : CXXFLAGS := $(CXXFLAGSextra) $(CXXFLAGS_gdb) -D'COMPILE_FOR_LONG_READS' $(CXXFLAGS)
gdb-long : LDFLAGS := $(LDFLAGSextra) $(LDFLAGS_gdb) $(LDFLAGS)
gdb-long : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STARlong $(CXXFLAGS) $(OBJECTS) $(LDFLAGS)

STARforMacStatic : CXXFLAGS := $(CXXFLAGSextra) $(CXXFLAGS_main) -D'COMPILE_FOR_MAC' $(CXXFLAGS)
STARforMacStatic : LDFLAGS := $(LDFLAGSextra) $(LDFLAGS_Mac_static) $(LDFLAGS)
STARforMacStatic : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STAR $(CXXFLAGS) $(OBJECTS) $(LDFLAGS)

STARlongForMacStatic : CXXFLAGS := -D'COMPILE_FOR_LONG_READS' $(CXXFLAGSextra) $(CXXFLAGS_main) -D'COMPILE_FOR_MAC' $(CXXFLAGS)
STARlongForMacStatic : LDFLAGS := $(LDFLAGSextra) $(LDFLAGS_Mac_static) $(LDFLAGS)
STARlongForMacStatic : Depend.list parametersDefault.xxd $(OBJECTS)
	$(CXX) -o STARlong $(CXXFLAGS) $(OBJECTS) $(LDFLAGS)

## rna-star 2.5.0a+dfsg

=== Makefile ===
# You want latexmk to *always* run, because make does not have all the info.
.PHONY: 

INPUT_DIR = ./extras/doc-latex
OUTPUT_DIR = ./doc

all : STAR manual

STAR :
	cd source && $(MAKE) $@
manual : $(OUTPUT_DIR)/STARmanual.pdf


%.tex : %.raw
	./raw2tex $< > $@
%.tex : %.dat
	./dat2tex $< > $@

$(OUTPUT_DIR)/STARmanual.pdf : $(INPUT_DIR)/STARmanual.tex $(INPUT_DIR)/parametersDefault.tex
	cd $(INPUT_DIR) && latexmk -pdf -output-directory=../../$(OUTPUT_DIR) -jobname=STARmanual -pdflatex='pdflatex -halt-on-error %O %S -synctex=1 -interaction=nonstopmode --src-specials' -quiet -f -use-make $(basename $(notdir $<))

clean : $(INPUT_DIR)/STARmanual.tex
	cd $(INPUT_DIR) && latexmk -C -output-directory=../../$(OUTPUT_DIR) -jobname=STARmanual $(basename $(notdir $<))
	cd source && $(MAKE) $@

=== debian/changelog ===
rna-star (2.5.0a+dfsg-1) unstable; urgency=medium

  * Packaging moved from svn to git
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 31 Dec 2015 12:41:06 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                vim-common,
                zlib1g-dev
 Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rna-star.git
+Vcs-Git: git://anonscm.debian.org/debian-med/rna-star.git
 Homepage: https://code.google.com/p/rna-star/
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/rna-star/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/rna-star/trunk/
 
 Package: rna-star
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk

export CCFLAGS=-flto $(CXXFLAGS) $(CPPFLAGS) -std=c++0x
# export LDFLAGS+=-flto -pthread -lhts -lz

%:
	dh $@ 

override_dh_auto_build:
	cd source && $(MAKE) CCFLAGS_common_add="-flto $(CCFLAGS)" CCFLAGS="$(CCFLAGS)" LDFLAGS_add="$(LDFLAGS)"

override_dh_auto_clean:
	cd source && $(MAKE) clean
	rm -f source/parametersDefault.xxd

override_dh_compress:
	dh_compress --exclude=.pdf

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  https://github.com/alexdobin/STAR/releases .*/archive/STAR_(\d[\d.a-z]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## rna-star 2.5.2a+dfsg

=== debian/changelog ===
rna-star (2.5.2a+dfsg-4) unstable; urgency=medium

  * enable rna-star for s390x
    Closes: #830662

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jul 2016 08:15:53 +0200

rna-star (2.5.2a+dfsg-3) unstable; urgency=medium

  * Limit architectures to amd64 as supported by upstream.
  * Add myself to Uploaders.
  * Add tests (autopkgtest and build time)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 22 May 2016 12:34:12 +0000

rna-star (2.5.2a+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Stop recording build environment in binary.
  * Enable full hardening.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 21 May 2016 20:53:28 +0000

rna-star (2.5.2a+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Use xz compression option in d/watch
  * cme fix dpkg-control
  * Fix homepage

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 18:06:56 +0200

rna-star (2.5.1b+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Adjusted debian/watch to accept missing "STAR_" prefix.
  * Bumped policy compliance to 3.9.7.
  * Added debian/upstream/edam file.
  * Moved hunk from compilationstuff.patch to donotuse_own_htslib.patch
    to collect upstream-independent bits source/Makefile.
  * Introduced short reference on patches in debian/README.source.

 -- Steffen Moeller <moeller@debian.org>  Tue, 23 Feb 2016 17:36:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: rna-star
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Andreas Tille <tille@debian.org>,
+           Sascha Steinbiss <sascha@steinbiss.name>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>,
-           Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9),
                libhts-dev,
                vim-common,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
+Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rna-star.git
-Vcs-Git: git://anonscm.debian.org/debian-med/rna-star.git
-Homepage: https://code.google.com/p/rna-star/
+Vcs-Git: https://anonscm.debian.org/git/debian-med/rna-star.git
+Homepage: https://github.com/alexdobin/STAR/
 
 Package: rna-star
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: amd64 arm64 ppc64el mips64el x32 s390x
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: ultrafast universal RNA-seq aligner
  Spliced Transcripts Alignment to a Reference (STAR) software based on a
  previously undescribed RNA-seq alignment algorithm that uses sequential

## rna-star 2.5.2b+dfsg

=== source/Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	ReadAlign_stitchWindowSeeds.o ReadAlign_chimericDetection.o \
         stitchWindowAligns.o extendAlign.o stitchAlignToTranscript.o alignSmithWaterman.o \
         genomeGenerate.o genomeParametersWrite.o genomeScanFastaFiles.o genomeSAindex.o \
-        Genome_insertSequences.o insertSeqSA.o funCompareUintAndSuffixes.o \
+        Genome_insertSequences.o insertSeqSA.o funCompareUintAndSuffixes.o sortSuffixesBucket.o funCompareUintAndSuffixesMemcmp.o \
 	TimeFunctions.o ErrorWarning.o loadGTF.o streamFuns.o stringSubstituteAll.o \
         Transcriptome.o Transcriptome_quantAlign.o ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
         sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o sjdbInsertJunctions.o mapThreadsSpawn.o \
@@ -75,6 +75,9 @@
 	rm -f *.o Depend.list
 	$(MAKE) -C htslib clean
 
+.PHONY: install
+install:
+	'mv' STAR STARlong ../bin
 
 ifneq ($(MAKECMDGOALS),clean)
 ifneq ($(MAKECMDGOALS),cleanRelease)

=== debian/changelog ===
rna-star (2.5.2b+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jun 2017 19:11:17 +0200

rna-star (2.5.2b+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove x32 from archs.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 23 Aug 2016 12:27:14 +0000

rna-star (2.5.2a+dfsg-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jun 2016 09:34:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 export CCFLAGS=-flto $(CXXFLAGS) $(CPPFLAGS) -std=c++0x
 # export LDFLAGS+=-flto -pthread -lhts -lz
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ 
@@ -23,5 +24,5 @@
 override_dh_compress:
 	dh_compress --exclude=.pdf
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compress xz
+override_dh_auto_test:
+	debian/tests/run_test.sh $(CURDIR)/source/STAR

## rna-star 2.5.3a+dfsg

=== source/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 ##########################################################################################################
 
-OBJECTS = SharedMemory.o PackedArray.o SuffixArrayFuns.o STAR.o Parameters.o InOutStreams.o SequenceFuns.o Genome.o Stats.o \
+OBJECTS = SharedMemory.o PackedArray.o SuffixArrayFuns.o STAR.o Parameters.o InOutStreams.o SequenceFuns.o Genome.o Chain.o Stats.o \
         Transcript.o Transcript_alignScore.o \
         ReadAlign.o ReadAlign_storeAligns.o ReadAlign_stitchPieces.o ReadAlign_multMapSelect.o ReadAlign_mapOneRead.o readLoad.o \
 	ReadAlignChunk.o ReadAlignChunk_processChunks.o ReadAlignChunk_mapChunk.o \

=== debian/changelog ===
rna-star (2.5.3a+dfsg-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added refs to bio.tools
    and OMICtools

  [ Sascha Steinbiss ]
  * Remove s390x from supported archs list.
    Closes: #868742

 -- Sascha Steinbiss <satta@debian.org>  Thu, 10 Aug 2017 16:05:13 +0200

rna-star (2.5.3a+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Jun 2017 21:22:06 +0200

rna-star (2.5.3a+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 31 May 2017 17:41:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Sascha Steinbiss <sascha@steinbiss.name>
+           Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -16,7 +16,7 @@
 Homepage: https://github.com/alexdobin/STAR/
 
 Package: rna-star
-Architecture: amd64 arm64 ppc64el mips64el x32 s390x
+Architecture: amd64 arm64 ppc64el mips64el
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: ultrafast universal RNA-seq aligner

## rna-star 2.5.4b+dfsg

=== source/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	OutSJ.o outputSJ.o blocksOverlap.o ThreadControl.o sysRemoveDir.o \
         ReadAlign_maxMappableLength2strands.o binarySearch2.o\
 	ReadAlign_outputAlignments.o  \
-	ReadAlign_outputTranscriptSAM.o ReadAlign_outputTranscriptSJ.o ReadAlign_outputTranscriptCIGARp.o \
+	ReadAlign_outputTranscriptSAM.o ReadAlign_outputTranscriptSJ.o ReadAlign_outputTranscriptCIGARp.o ReadAlign_calcCIGAR.cpp \
         ReadAlign_createExtendWindowsWithAlign.o ReadAlign_assignAlignToWindow.o ReadAlign_oneRead.o \
 	ReadAlign_stitchWindowSeeds.o ReadAlign_chimericDetection.o \
         stitchWindowAligns.o extendAlign.o stitchAlignToTranscript.o alignSmithWaterman.o \
@@ -45,7 +45,7 @@
 	TimeFunctions.o ErrorWarning.o loadGTF.o streamFuns.o stringSubstituteAll.o \
         Transcriptome.o Transcriptome_quantAlign.o ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
         sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o sjdbInsertJunctions.o mapThreadsSpawn.o \
-        Parameters_openReadsFiles.cpp Parameters_closeReadsFiles.cpp \
+        Parameters_openReadsFiles.cpp Parameters_closeReadsFiles.cpp Parameters_readSAMheader.o \
         BAMoutput.o BAMfunctions.o ReadAlign_alignBAM.o BAMbinSortByCoordinate.o signalFromBAM.o bamRemoveDuplicates.o BAMbinSortUnmapped.o \
         bam_cat.o \
         GlobalVariables.cpp
@@ -86,7 +86,7 @@
 ifneq ($(MAKECMDGOALS),STARforMacGDB)
 Depend.list: $(SOURCES) parametersDefault.xxd htslib
 	echo $(SOURCES)
-	/bin/rm -f ./Depend.list
+	'rm' -f ./Depend.list
 	$(CXX) $(CXXFLAGS_common) -MM $^ >> Depend.list
 include Depend.list
 endif

=== debian/changelog ===
rna-star (2.5.4b+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Respect nocheck flag in test override.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 11 Feb 2018 13:37:19 +0100

rna-star (2.5.4a+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release.
  * d/control: Remove obsolete Testsuite entry.
  * d/rules: Remove trailing whitespace.
  * d/copyright: Use secure copyright format URL.
  * Spelling fixes.

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Updated registry IDs
    - yamllint cleanliness

 -- Sascha Steinbiss <satta@debian.org>  Fri, 26 Jan 2018 11:32:21 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                vim-common,
                zlib1g-dev
 Standards-Version: 3.9.8
-Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rna-star.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/rna-star.git
 Homepage: https://github.com/alexdobin/STAR/

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	cd source && $(MAKE) CCFLAGS_common_add="-flto $(CCFLAGS)" CCFLAGS="$(CCFLAGS)" LDFLAGS_add="$(LDFLAGS)"
@@ -25,4 +25,6 @@
 	dh_compress --exclude=.pdf
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	debian/tests/run_test.sh $(CURDIR)/source/STAR
+endif

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/alexdobin/STAR/releases .*/archive/(?:STAR_?)?(\d[\d.a-z]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## rna-star 2.6.1a+dfsg

=== source/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CXX ?= g++
 
 # pre-defined flags
-LDFLAGS_shared := -pthread -Lhtslib -Bstatic -lhts -Bdynamic -lz -lrt
+LDFLAGS_shared := -pthread -Lhtslib -Bstatic -lhts -Bdynamic -lz
 LDFLAGS_static := -static -static-libgcc -pthread -Lhtslib -lhts -lz
 LDFLAGS_Mac :=-pthread -lz htslib/libhts.a
 LDFLAGS_Mac_static :=-pthread -lz -static-libgcc htslib/libhts.a
@@ -29,8 +29,9 @@
 
 ##########################################################################################################
 
-OBJECTS = SharedMemory.o PackedArray.o SuffixArrayFuns.o STAR.o Parameters.o InOutStreams.o SequenceFuns.o Genome.o Chain.o Stats.o \
-        Transcript.o Transcript_alignScore.o \
+OBJECTS = SharedMemory.o PackedArray.o SuffixArrayFuns.o STAR.o Parameters.o InOutStreams.o SequenceFuns.o Genome.o Stats.o \
+        Transcript.o Transcript_alignScore.o Transcript_generateCigarP.o Chain.o \
+        Transcript_variationAdjust.o Variation.o ReadAlign_waspMap.o \
         ReadAlign.o ReadAlign_storeAligns.o ReadAlign_stitchPieces.o ReadAlign_multMapSelect.o ReadAlign_mapOneRead.o readLoad.o \
 	ReadAlignChunk.o ReadAlignChunk_processChunks.o ReadAlignChunk_mapChunk.o \
 	OutSJ.o outputSJ.o blocksOverlap.o ThreadControl.o sysRemoveDir.o \
@@ -38,16 +39,21 @@
 	ReadAlign_outputAlignments.o  \
 	ReadAlign_outputTranscriptSAM.o ReadAlign_outputTranscriptSJ.o ReadAlign_outputTranscriptCIGARp.o ReadAlign_calcCIGAR.cpp \
         ReadAlign_createExtendWindowsWithAlign.o ReadAlign_assignAlignToWindow.o ReadAlign_oneRead.o \
-	ReadAlign_stitchWindowSeeds.o ReadAlign_chimericDetection.o \
+	ReadAlign_stitchWindowSeeds.o \
+        ReadAlign_peOverlapMergeMap.o ReadAlign_mappedFilter.o \
+        ReadAlign_chimericDetection.o ReadAlign_chimericDetectionOld.o ReadAlign_chimericDetectionOldOutput.o\
+        ChimericDetection.o ChimericDetection_chimericDetectionMult.o ReadAlign_chimericDetectionPEmerged.o \
+        ChimericSegment.cpp ChimericAlign.cpp ChimericAlign_chimericJunctionOutput.o ChimericAlign_chimericStitching.o \
         stitchWindowAligns.o extendAlign.o stitchAlignToTranscript.o alignSmithWaterman.o \
-        genomeGenerate.o genomeParametersWrite.o genomeScanFastaFiles.o genomeSAindex.o \
-        Genome_insertSequences.o insertSeqSA.o funCompareUintAndSuffixes.o sortSuffixesBucket.o funCompareUintAndSuffixesMemcmp.o \
+        Genome_genomeGenerate.o genomeParametersWrite.o genomeScanFastaFiles.o genomeSAindex.o \
+        Genome_insertSequences.o insertSeqSA.o funCompareUintAndSuffixes.o funCompareUintAndSuffixesMemcmp.o \
 	TimeFunctions.o ErrorWarning.o loadGTF.o streamFuns.o stringSubstituteAll.o \
         Transcriptome.o Transcriptome_quantAlign.o ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
         sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o sjdbInsertJunctions.o mapThreadsSpawn.o \
         Parameters_openReadsFiles.cpp Parameters_closeReadsFiles.cpp Parameters_readSAMheader.o \
         BAMoutput.o BAMfunctions.o ReadAlign_alignBAM.o BAMbinSortByCoordinate.o signalFromBAM.o bamRemoveDuplicates.o BAMbinSortUnmapped.o \
         bam_cat.o \
+        serviceFuns.o \
         GlobalVariables.cpp
 
 SOURCES := $(wildcard *.cpp) $(wildcard *.c)

=== debian/changelog ===
rna-star (2.6.1a+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix spelling via patches.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 18 Aug 2018 16:14:17 +0200

rna-star (2.6.0c+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 16 May 2018 08:39:24 +0200

rna-star (2.6.0b+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 07 May 2018 15:09:13 +0200

rna-star (2.6.0a+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release.
  * Remove absent files from Files-Excluded.
  * Update copyright date.
  * Drop patch applied by upstream.
  * Adjust VCS entries.
  * Use debhelper 11.
  * Bump Standards-Version.
  * Update version number in man page.

  [ Steffen Moeller ]
  * Add SciCrunch IDs.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 26 Apr 2018 10:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
            Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libhts-dev,
                vim-common,
                zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rna-star.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/rna-star.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/rna-star
+Vcs-Git: https://salsa.debian.org/med-team/rna-star.git
 Homepage: https://github.com/alexdobin/STAR/
 
 Package: rna-star

## rna-star 2.7.0a+dfsg

=== source/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 # pre-defined flags
 LDFLAGS_shared := -pthread -Lhtslib -Bstatic -lhts -Bdynamic -lz
-LDFLAGS_static := -static -static-libgcc -pthread -Lhtslib -lhts -lz
+LDFLAGS_static := -static -static-libgcc -pthread -Lhtslib -lhts -lz 
 LDFLAGS_Mac :=-pthread -lz htslib/libhts.a
 LDFLAGS_Mac_static :=-pthread -lz -static-libgcc htslib/libhts.a
 LDFLAGS_gdb := $(LDFLAGS_shared)
@@ -29,32 +29,35 @@
 
 ##########################################################################################################
 
-OBJECTS = SharedMemory.o PackedArray.o SuffixArrayFuns.o STAR.o Parameters.o InOutStreams.o SequenceFuns.o Genome.o Stats.o \
-        Transcript.o Transcript_alignScore.o Transcript_generateCigarP.o Chain.o \
-        Transcript_variationAdjust.o Variation.o ReadAlign_waspMap.o \
-        ReadAlign.o ReadAlign_storeAligns.o ReadAlign_stitchPieces.o ReadAlign_multMapSelect.o ReadAlign_mapOneRead.o readLoad.o \
+OBJECTS = ParametersSolo.o SoloRead.o SoloRead_record.o \
+	SoloReadBarcode.o SoloReadBarcode_getCBandUMI.o \
+	SoloReadFeature.o SoloReadFeature_record.o SoloReadFeature_inputRecords.o \
+	Solo.o SoloFeature.o SoloFeature_collapseUMI.o SoloFeature_outputResults.o SoloFeature_processRecords.o\
+	ReadAlign_outputAlignments.o  \
+	ReadAlign.o STAR.o \
+	SharedMemory.o PackedArray.o SuffixArrayFuns.o Parameters.o InOutStreams.o SequenceFuns.o Genome.o Stats.o \
+	Transcript.o Transcript_alignScore.o Transcript_generateCigarP.o Chain.o \
+	Transcript_variationAdjust.o Variation.o ReadAlign_waspMap.o \
+	ReadAlign_storeAligns.o ReadAlign_stitchPieces.o ReadAlign_multMapSelect.o ReadAlign_mapOneRead.o readLoad.o \
 	ReadAlignChunk.o ReadAlignChunk_processChunks.o ReadAlignChunk_mapChunk.o \
 	OutSJ.o outputSJ.o blocksOverlap.o ThreadControl.o sysRemoveDir.o \
-        ReadAlign_maxMappableLength2strands.o binarySearch2.o\
-	ReadAlign_outputAlignments.o  \
+	ReadAlign_maxMappableLength2strands.o binarySearch2.o\
 	ReadAlign_outputTranscriptSAM.o ReadAlign_outputTranscriptSJ.o ReadAlign_outputTranscriptCIGARp.o ReadAlign_calcCIGAR.cpp \
-        ReadAlign_createExtendWindowsWithAlign.o ReadAlign_assignAlignToWindow.o ReadAlign_oneRead.o \
+	ReadAlign_createExtendWindowsWithAlign.o ReadAlign_assignAlignToWindow.o ReadAlign_oneRead.o \
 	ReadAlign_stitchWindowSeeds.o \
-        ReadAlign_peOverlapMergeMap.o ReadAlign_mappedFilter.o \
-        ReadAlign_chimericDetection.o ReadAlign_chimericDetectionOld.o ReadAlign_chimericDetectionOldOutput.o\
-        ChimericDetection.o ChimericDetection_chimericDetectionMult.o ReadAlign_chimericDetectionPEmerged.o \
-        ChimericSegment.cpp ChimericAlign.cpp ChimericAlign_chimericJunctionOutput.o ChimericAlign_chimericStitching.o \
-        stitchWindowAligns.o extendAlign.o stitchAlignToTranscript.o alignSmithWaterman.o \
-        Genome_genomeGenerate.o genomeParametersWrite.o genomeScanFastaFiles.o genomeSAindex.o \
-        Genome_insertSequences.o insertSeqSA.o funCompareUintAndSuffixes.o funCompareUintAndSuffixesMemcmp.o \
+	ReadAlign_peOverlapMergeMap.o ReadAlign_mappedFilter.o \
+	ReadAlign_chimericDetection.o ReadAlign_chimericDetectionOld.o ReadAlign_chimericDetectionOldOutput.o\
+	ChimericDetection.o ChimericDetection_chimericDetectionMult.o ReadAlign_chimericDetectionPEmerged.o \
+	ChimericSegment.cpp ChimericAlign.cpp ChimericAlign_chimericJunctionOutput.o ChimericAlign_chimericStitching.o \
+	stitchWindowAligns.o extendAlign.o stitchAlignToTranscript.o alignSmithWaterman.o \
+	Genome_genomeGenerate.o genomeParametersWrite.o genomeScanFastaFiles.o genomeSAindex.o \
+	Genome_insertSequences.o insertSeqSA.o funCompareUintAndSuffixes.o funCompareUintAndSuffixesMemcmp.o \
 	TimeFunctions.o ErrorWarning.o loadGTF.o streamFuns.o stringSubstituteAll.o \
-        Transcriptome.o Transcriptome_quantAlign.o ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
-        sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o sjdbInsertJunctions.o mapThreadsSpawn.o \
-        Parameters_openReadsFiles.cpp Parameters_closeReadsFiles.cpp Parameters_readSAMheader.o \
-        BAMoutput.o BAMfunctions.o ReadAlign_alignBAM.o BAMbinSortByCoordinate.o signalFromBAM.o bamRemoveDuplicates.o BAMbinSortUnmapped.o \
-        bam_cat.o \
-        serviceFuns.o \
-        GlobalVariables.cpp
+	Transcriptome.o Transcriptome_quantAlign.o ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
+	sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o sjdbInsertJunctions.o mapThreadsSpawn.o \
+	Parameters_openReadsFiles.cpp Parameters_closeReadsFiles.cpp Parameters_readSAMheader.o \
+	bam_cat.o serviceFuns.o GlobalVariables.cpp \
+	BAMoutput.o BAMfunctions.o ReadAlign_alignBAM.o BAMbinSortByCoordinate.o signalFromBAM.o bamRemoveDuplicates.o BAMbinSortUnmapped.o 
 
 SOURCES := $(wildcard *.cpp) $(wildcard *.c)

=== debian/changelog ===
rna-star (2.7.0a+dfsg-1) unstable; urgency=medium

  * New upstream release.
    This release introduces STARsolo for: mapping, demultiplexing and
    gene quantification for single cell RNA-seq.

  * Standards-Version: 4.3.0 - no changes required

 -- Steffen Moeller <moeller@debian.org>  Tue, 29 Jan 2019 22:58:57 +0100

rna-star (2.6.1d+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Dec 2018 21:03:02 +0000

rna-star (2.6.1c+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 23 Oct 2018 13:28:51 +0200

rna-star (2.6.1b+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 18 Sep 2018 18:53:06 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libhts-dev,
                vim-common,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/rna-star
 Vcs-Git: https://salsa.debian.org/med-team/rna-star.git
 Homepage: https://github.com/alexdobin/STAR/

=== debian/tests/control ===
Test-Command: debian/tests/run_test.sh STAR
Depends: @

## rna-star 2.7.1a+dfsg

=== source/Makefile ===
--- 
+++ 
@@ -53,7 +53,8 @@
 	Genome_genomeGenerate.o genomeParametersWrite.o genomeScanFastaFiles.o genomeSAindex.o \
 	Genome_insertSequences.o insertSeqSA.o funCompareUintAndSuffixes.o funCompareUintAndSuffixesMemcmp.o \
 	TimeFunctions.o ErrorWarning.o loadGTF.o streamFuns.o stringSubstituteAll.o \
-	Transcriptome.o Transcriptome_quantAlign.o ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
+	Transcriptome.o Transcriptome_quantAlign.o Transcriptome_geneFullAlignOverlap.o \
+	ReadAlign_quantTranscriptome.o Quantifications.o Transcriptome_geneCountsAddAlign.o \
 	sjdbLoadFromFiles.o sjdbLoadFromStream.o sjdbPrepare.o sjdbBuildIndex.o sjdbInsertJunctions.o mapThreadsSpawn.o \
 	Parameters_openReadsFiles.cpp Parameters_closeReadsFiles.cpp Parameters_readSAMheader.o \
 	bam_cat.o serviceFuns.o GlobalVariables.cpp \
@@ -83,10 +84,6 @@
 cleanRelease:
 	rm -f *.o Depend.list
 	$(MAKE) -C htslib clean
-
-.PHONY: install
-install:
-	'mv' STAR STARlong ../bin
 
 ifneq ($(MAKECMDGOALS),clean)
 ifneq ($(MAKECMDGOALS),cleanRelease)

=== debian/changelog ===
rna-star (2.7.1a+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Closes: #932066

 -- Sascha Steinbiss <satta@debian.org>  Wed, 17 Jul 2019 23:19:13 +0200

rna-star (2.7.1a+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 08 Jul 2019 17:28:41 +0200
